Name:           jaxb-dtd-parser
Version:        1.5.1
Release:        %mkrel 1
Group:          Development/Java
Summary:        SAX-like API for parsing XML DTDs
License:        BSD
URL:            https://github.com/eclipse-ee4j/jaxb-dtd-parser
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)

%description
SAX-like API for parsing XML DTDs.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q

pushd dtd-parser

%pom_remove_parent

%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin
popd

%build
pushd dtd-parser
%mvn_build
popd

%install
pushd dtd-parser
%mvn_install
popd

%files -f dtd-parser/.mfiles
%license LICENSE.md NOTICE.md
%doc README.md

%files javadoc -f dtd-parser/.mfiles-javadoc
%license LICENSE.md NOTICE.md



%changelog
* Fri May 24 2024 ns80 <ns80> 1.5.1-1.mga10
+ Revision: 2067233
- new version 1.5.1 for java 21

* Sun Sep 11 2022 neoclust <neoclust> 1.5.0-1.mga9
+ Revision: 1886937
- New version  1.5.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 1.4.3-1.mga8
+ Revision: 1621658
- update to 1.4.3
- renamed to jaxb-dtd-parser

* Tue Feb 11 2020 umeabot <umeabot> 1.2-0.13.20120120svn.4.mga8
+ Revision: 1489886
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.2-0.13.20120120svn.3.mga7
+ Revision: 1261436
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 1.2-0.13.20120120svn.2.mga6
+ Revision: 982656
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.2-0.13.20120120svn.1.mga6
+ Revision: 977227
- sync package glassfish-dtd-parser with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-0.4.20120120svn.6.mga5
+ Revision: 740727
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 19 2013 dmorgan <dmorgan> 1.2-0.4.20120120svn.4.mga4
+ Revision: 558855
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2-0.4.20120120svn.2.mga3
+ Revision: 351695
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 1.2-0.4.20120120svn.1.mga3
+ Revision: 291443
- imported package glassfish-dtd-parser

